Bug 497526 - Attansic NIC driver disconnects/reconnects with network
Attansic NIC driver disconnects/reconnects with network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-24 09:30 EDT by Nick Maliszewskyj
Modified: 2013-01-13 09:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:19:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Maliszewskyj 2009-04-24 09:30:44 EDT
Description of problem:
Attansic NIC driver periodically disconnects from and reconnects
to the network, disrupting homegrown network applications. The
events appear to happen between 1-4 hours apart with no discernible
pattern.

Version-Release number of selected component (if applicable):
Driver is version 2.0.4
Kernel is 2.6.170

How reproducible:
This problem is persistent.

Steps to Reproduce:
1.Boot
2.Keep running for a little while
3.
  
Actual results:

The server experiences periodic disconnections which disrupt homegrown
network applications. Combing through /var/log/messages, I find hundreds
of notices like the following.

Apr 24 07:40:54 ng7sans kernel: eth0: txs packet size do not coinsist with txd txd_:0x2c30202c, txs_:0x000105ea!
Apr 24 07:40:54 ng7sans kernel: txd read ptr: 0x17a0
Apr 24 07:40:54 ng7sans kernel: txs-behind:0x8001024f
Apr 24 07:40:54 ng7sans kernel: txs-before:0x000105ea
Apr 24 07:40:54 ng7sans kernel: eth0: txs packet size do not coinsist with txd txd_:0x2c30202c, txs_:0x0001024f!
Apr 24 07:40:54 ng7sans kernel: txd read ptr: 0x17d0
Apr 24 07:40:54 ng7sans kernel: txs-behind:0x0001004e
Apr 24 07:40:54 ng7sans kernel: txs-before:0x000105ea
Apr 24 07:41:03 ng7sans kernel: atl2: eth0 NIC Link is Up<100 Mbps Full Duplex>

Often I find the "NIC Link is Up" message without the txs/txd error messages.

Expected results:
Smooth sailing like any other NIC.

Additional info:

Here's a snippet from lspci -v to indicate what card we're working with:

02:00.0 Ethernet controller: Attansic Technology Corp. L2 100 Mbit Ethernet Adapter (rev a0)
	Subsystem: ASUSTeK Computer Inc. Device 8233
	Flags: bus master, fast devsel, latency 0, IRQ 17
	Memory at dffc0000 (64-bit, non-prefetchable) [size=256K]
	Expansion ROM at dffa0000 [disabled] [size=128K]
	Capabilities: [40] Power Management version 2
	Capabilities: [48] Message Signalled Interrupts: Mask- 64bit+ Count=1/1 Enable-
	Capabilities: [58] Express Endpoint, MSI 00
	Kernel driver in use: atl2
	Kernel modules: atl2

Additionally I have found references to this issue on Ubuntu forums.
Comment 1 Chuck Ebbert 2009-04-24 15:31:40 EDT
I'm pretty sure this is fixed in the 2.6.29 kernels.
Comment 2 Fedora Update System 2009-04-27 22:08:41 EDT
kernel-2.6.29.2-52.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.2-52.fc10
Comment 3 Fedora Update System 2009-05-02 12:31:59 EDT
kernel-2.6.29.2-52.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4132
Comment 4 Fedora Update System 2009-05-11 11:07:40 EDT
kernel-2.6.29.3-60.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.3-60.fc10,hal-0.5.12-15.20081027git.fc10
Comment 5 Fedora Update System 2009-05-12 00:08:16 EDT
kernel-2.6.29.3-60.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4818
Comment 6 Fedora Update System 2009-05-25 19:08:37 EDT
kernel-2.6.29.4-75.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.4-75.fc10,hal-0.5.12-15.20081027git.fc10
Comment 7 Fedora Update System 2009-05-27 15:05:19 EDT
kernel-2.6.29.4-75.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5527
Comment 8 Fedora Update System 2009-06-17 08:07:51 EDT
kernel-2.6.29.5-84.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.5-84.fc10,hal-0.5.12-15.20081027git.fc10
Comment 9 Fedora Update System 2009-06-19 09:38:00 EDT
kernel-2.6.29.5-84.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6717
Comment 10 Fedora Update System 2009-07-07 11:09:03 EDT
kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-93.fc10,hal-0.5.12-15.20081027git.fc10
Comment 11 Fedora Update System 2009-07-16 02:58:50 EDT
kernel-2.6.29.6-93.fc10, hal-0.5.12-15.20081027git.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel hal'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7573
Comment 12 Fedora Update System 2009-08-15 10:00:15 EDT
kernel-2.6.29.6-97.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-97.fc10
Comment 13 Fedora Update System 2009-08-17 18:04:35 EDT
kernel-2.6.29.6-97.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8697
Comment 14 Fedora Update System 2009-08-19 23:57:47 EDT
kernel-2.6.29.6-99.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-99.fc10
Comment 15 Fedora Update System 2009-08-21 21:04:07 EDT
kernel-2.6.29.6-99.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-8870
Comment 16 Bug Zapper 2009-11-18 06:50:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-12-18 04:19:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.